=== debian/changelog ===
speech-tools (1:2.5.0-14) unstable; urgency=medium

  * clean: Also clean test outputs (Closes: Bug#1047732)
  * tests/tests: Always unpatch on exit.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1097916)
  * rules: Use buildtools.mk.
  * Update standards version to 4.6.2, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 01:08:51 +0200

speech-tools (1:2.5.0-13) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make doc Multi-Arch: foreign.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on doxygen.
    + speech-tools-doc: Drop versioned constraint on doc-base in Depends.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:50:01 +0100

speech-tools (1:2.5.0-12) unstable; urgency=medium

  * rules: Drop ddeb-migration rules, now useless
  * rules: Do not try to mess with autoreconf in clean target
    (Closes: Bug#997438)
  * rules: set cross-build CC and CXX.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Oct 2021 22:42:38 +0200

speech-tools (1:2.5.0-11) unstable; urgency=medium

  * patches/reproducible.diff: Avoid recording build flags in a file, we can
    get them from the environment.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 15:03:55 +0100

speech-tools (1:2.5.0-10) unstable; urgency=medium

  * rules: Drop now-default -Wl,--as-needed option.
  * control: Replace libncurses5-dev with libncurses-dev.
  * control: Bump Standards-Version to 4.5.0 (no change)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Sep 2020 23:59:46 +0200

speech-tools (1:2.5.0-9) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957831).
  * control: Update alioth list domain.
  * Move tests patches from patches to tests-patches.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:40:31 +0200

speech-tools (1:2.5.0-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 1:1.2.96~beta-1, 1:1.2.3-5,
    1:1.2.3-4, 1:1.2.3-3, 1:1.2.3-2, 1:1.2.3-1, 1:1.2.3-0.1, 1:1.2.2-
    2.2.
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Thibault ]
  * patches/datadir_fhs.diff: Fix path to /usr/share and /usr/lib.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:27:48 +0100

speech-tools (1:2.5.0-7) unstable; urgency=medium

  [ Samuel Thibault ]
  * tests/control: Use @builddeps@ instead of copying them.
  * watch: Generalize pattern.
  * rules: Run tests through dh_auto_test, but disable parallel build, which
    fails. (Closes: #941630)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Dec 2019 14:52:21 +0100

speech-tools (1:2.5.0-6) unstable; urgency=medium

  [ Sergio Oller ]
  * Update canonical Vcs-Git and Vcs-Browser
  * Fix missing OpenMP symbols in libestools
  * Replace bundled debian/dh_doxygen with the equivalent debhelper
    provided by the doxygen package.

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * rules: Run tests.
  * patches/test_failure: Really detect test failure.
  * patches/more-lintian-spelling.patch: Fix spelling of test result too.
  * tests: Run tests in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 29 Aug 2019 00:39:13 +0200

speech-tools (1:2.5.0-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.2.0 (no changes).

  [ Adrian Bunk ]
  * Fix updating config.{guess,sub}. (Closes: #898016)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 Aug 2018 20:56:41 +0200

speech-tools (1:2.5.0-4) unstable; urgency=medium

  * Fix another FTBFS and missing documentation by also building the
    binary files on arch:all (Closes: #887920)

 -- Paul Gevers <elbrus@debian.org>  Sun, 21 Jan 2018 21:57:13 +0100

speech-tools (1:2.5.0-3) unstable; urgency=medium

  * Fix FTBFS by making some build targets arch / indep specific

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 20:56:49 +0100

speech-tools (1:2.5.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add --as-needed to the linker flags to prevent multiple unneeded
    dependencies

 -- Paul Gevers <elbrus@debian.org>  Sat, 20 Jan 2018 19:37:30 +0100

speech-tools (1:2.5.0-1) experimental; urgency=medium

  * New upstream release (Closes: #886994)
  * Target experimental to clear the NEW queue and get an auto transition
    tracker
  * Refresh patches
  * Bump Standards version to 4.1.3
  * Bump debhelper compat level to 11 (and Rules-Requires-Root: no)
  * Drop some obsolete conflict/replaces and Build-Depends
  * Major revamp of packaging, leverage short dh usage by moving logic
    from d/rules to helper files
  * Add more-lintian-spelling.patch and typos in man pages (Thanks lintian)
  * Drop d/p/gcc-6 as we pass C++ flags in d/rules
  * Add myself to the uploaders

 -- Paul Gevers <elbrus@debian.org>  Tue, 16 Jan 2018 21:47:23 +0100

speech-tools (1:2.4~release-7) unstable; urgency=medium

  [ Paul Gevers ]
  * Drop override_dh_shlibsdeps target. It didn't do anything since it's
    introduction due to a typo and apparently isn't needed anymore
    (Closes: #834663)

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass CC and CXX to make. (Closes: Bug#885697)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:41:34 +0100
