=== debian/tests/control ===
Tests: tests
Depends: libestools-dev, speech-tools,
         @builddeps@
