=== debian/watch ===
version=3
opts="uversionmangle=s/-beta/~beta/;s/-release//" \
http://festvox.org/packed/festival/([\d.]*)/speech_tools-@ANY_VERSION@@ARCHIVE_EXT@
